package com.atlassian.confluence.extra.graphviz;

import com.atlassian.renderer.v2.macro.BaseMacro;
import com.atlassian.renderer.v2.RenderMode;
import com.atlassian.renderer.v2.SubRenderer;
import org.apache.log4j.Category;

/**
 * Created by IntelliJ IDEA.
 * User: ewong
 * Date: 20/04/2005
 * Time: 13:57:40
 * To change this template use File | Settings | File Templates.
 */
public abstract class BaseGraphVizMacro extends BaseMacro
{
    protected static final Category log = Category.getInstance(GraphVizMacro.class);

    public void setSubRenderer(SubRenderer subRenderer)
    {
        this.subRenderer = subRenderer;
    }

    protected SubRenderer subRenderer;

    public boolean isInline()
    {
        return false;
    }

    public boolean hasBody()
    {
        return true;
    }

    // irrelevant since we have no body
    public RenderMode getBodyRenderMode()
    {
        return RenderMode.NO_RENDER;
    }
}
